<!doctype html public '-//W3C//DTD HTML 4.01//EN'
  'http://www.w3.org/TR/html4/strict.dtd'>

<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<title>Selectors</title>
	
	<script type="text/javascript" src="../frameworks/<?php echo $_GET['include']; ?>?<?php echo $_GET['nocache']; ?>"></script>
	
	<script type="text/javascript">//<![CDATA[
    function getLength(elements){
      return typeof elements.size == 'function'
        ? elements.size()
        : typeof elements.length == 'function'
          ? elements.length()
          : elements.length;
    }

    function test(selector){
      var elements, start, 
       context = document,
       i = 0, comps = 0, time = 0,
       times = [];

      function run() {
        return <?php echo $_GET['function']; ?>(selector);
      }

      try {
        elements = run();
        start = new Date().getTime();

        do {
          comps++;
          run();
        } while ((time = (new Date() - start)) < 250);

        return {
          'time':  time,
          'found': getLength(elements),
          'ops':   comps
        };
      }
      catch(e){
        if (elements == null)
          elements = { 'length': -1 };
        return {
          'ops':   0,
          'time':  (new Date() - start) || 0,
          'found': getLength(elements),
          'error': (e.fileName || '?.js').replace(/^.*(\/[^\/]+)$/, '$1') + '#' + e.lineNumber + ': ' + e.message
        };
      }
    };

    test.name = "<?php echo $_GET['include']; ?>?<?php echo $_GET['nocache']; ?>";
	
	//]]></script>
	
</head>

<body>
	
	<?php include('../template.html');?>

</body>
</html>